# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Thu Feb  8 20:55:09 2024
# ------------------------------------------------

package:
  name: meson
  version: 1.3.1
source:
  patches:
    - 0001-Only-fix-RPATH-if-install_rpath-is-not-empty.patch
  sha256: 6020568bdede1643d4fb41e28215be38eff5d52da28ac7d125457c59e0032ad7
  url: https://pypi.io/packages/source/m/meson/meson-1.3.1.tar.gz
build:
  entry_points:
    - meson = mesonbuild.mesonmain:main
  number: '0'
  script: /croot/meson_1707425714435/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_p/bin/python
    -m pip install . -vv --no-deps --no-build-isolation
  string: py39h06a4308_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - patch 2.7.6 h7b6447c_1001
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - ca-certificates 2023.12.12 h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.13 h7f8727e_0
    - pip 23.3.1 py39h06a4308_0
    - python 3.9.18 h955ad1f_0
    - readline 8.2 h5eee18b_0
    - setuptools 68.2.2 py39h06a4308_0
    - sqlite 3.41.2 h5eee18b_0
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2023d h04d1e81_0
    - wheel 0.41.2 py39h06a4308_0
    - xz 5.4.5 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
  run:
    - ninja >=1.8.2
    - python >=3.9,<3.10.0a0
test:
  commands:
    - pip check
    - meson -h
    - meson -v
    - meson --internal delsuffix . nomatchqqq
  imports:
    - mesonbuild
  requires:
    - pip
about:
  description: 'Meson is an open source build system meant to be both extremely fast,
    and, even more importantly, as user friendly as possible.

    The main design point of Meson is that every moment a developer spends writing
    or debugging build definitions is a second wasted.

    So is every second spent waiting for the build system to actually start compiling
    code.

    '
  dev_url: https://github.com/mesonbuild/meson
  doc_url: https://mesonbuild.com
  home: https://mesonbuild.com
  license: Apache-2.0
  license_family: Apache
  license_file: COPYING
  summary: The Meson Build System
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 5069ced9-5c02-405e-bdca-97614e1cd3b3
  recipe-maintainers:
    - SoapZA
    - dirmeier
    - h-vetinari
    - pkgw
    - rgommers
    - tschoonj
    - wolfv
  remote_url: git@github.com:AnacondaRecipes/meson-feedstock.git
  sha: 593258d915aa0760034e200f2d276dbbe320f25d
  skip-lints:
    - build_tools_must_be_in_build
    - missing_imports_or_run_test_py
    - python_build_tool_in_run
